Incus - Command line client(1)

NAME
incus-create - Create instances from images

SYNOPSIS
incus create (--empty|[:]) [:][] [flags]

DESCRIPTION
Description:
  Create instances from images

OPTIONS
-c, --config=[]
    ``Config key/value to apply to the new instance

--description=""
    ``Instance description

-d, --device=[]
    ``New key/value to apply to a specific device

--empty[=false]
    ``Create an empty instance

--environment-file=""
    ``Include environment variables from file

-e, --ephemeral[=false]
    ``Ephemeral instance

-n, --network=""
    ``Network name

--no-profiles[=false]
    ``Create the instance with no profiles applied

-p, --profile=[]
    ``Profile to apply to the new instance

-s, --storage=""
    ``Storage pool name

--target=""
    ``Cluster member name

-t, --type=""
    ``Instance type

--vm[=false]
    ``Create a virtual machine

OPTIONS INHERITED FROM PARENT COMMANDS
--debug[=false]
    Show all debug messages

--explain[=false]
    If the command is valid, explain its parsed arguments instead of running it

--force-local[=false]
    Force using the local unix socket

-h, --help[=false]
    Print help

--project=""
    Override the source project``

-q, --quiet[=false]
    Don't show progress information

--sub-commands[=false]
    Use with help or --help to view sub-commands

-v, --verbose[=false]
    Show all information messages

--version[=false]
    Print version number

EXAMPLE
      incus create images:debian/12 u1
          Create the instance u1

      incus create images:debian/12 u1 < config.yaml
          Create the instance with configuration from config.yaml

      incus launch images:debian/12 v2 --vm -d root,size=50GiB -d root,io.bus=nvme
          Create and start a virtual machine, overriding the disk size and bus

SEE ALSO
incus(1)

HISTORY
30-Jul-2026 Auto generated by spf13/cobra